For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/inbox/threads/patch-api-inbox-v1threads-by-id-read.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Mark Thread Read

PATCH
/api/inbox/v1/threads/:id/read
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { thread, threadError } = await reloop.inbox.threads.setRead("thr_123456789", {
6 isRead: true,
7});
8if (threadError) throw threadError;
1{
2 "success": true,
3 "id": "con_123456789",
4 "message": "Contact already exists",
5 "isRead": true,
6 "isStarred": true,
7 "status": "example_status"
8}

Path Parameters

idstringRequired

Thread ID

Body Parameters

isReadbooleanRequired

Whether to mark the thread as read

Was this page helpful?